# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapNodeOfDataMapOfShapePD Class Reference

`#include <STEPCAFControl_DataMapNodeOfDataMapOfShapePD.hxx>`

## Public Member Functions

| STEPCAFControl_DataMapNodeOfDataMapOfShapePD (const TopoDS_Shape &K, const Handle(StepBasic_ProductDefinition)&I, const TCollection_MapNodePtr &n)
TopoDS_Shape & | Key () const
Handle_StepBasic_ProductDefinition & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Shape | myKey
Handle_StepBasic_ProductDefinition | myValue

## Constructor & Destructor Documentation

STEPCAFControl_DataMapNodeOfDataMapOfShapePD::STEPCAFControl_DataMapNodeOfDataMapOfShapePD | ( | const TopoDS_Shape & | K,
|  | const Handle(StepBasic_ProductDefinition)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const STEPCAFControl_DataMapNodeOfDataMapOfShapePD::Handle | ( | Standard_Type |  | ) | const

TopoDS_Shape& STEPCAFControl_DataMapNodeOfDataMapOfShapePD::Key | ( |  | ) | const

Handle_StepBasic_ProductDefinition& STEPCAFControl_DataMapNodeOfDataMapOfShapePD::Value | ( |  | ) | const

## Field Documentation

TopoDS_Shape STEPCAFControl_DataMapNodeOfDataMapOfShapePD::myKey `[private]`

Handle_StepBasic_ProductDefinition STEPCAFControl_DataMapNodeOfDataMapOfShapePD::myValue `[private]`

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapNodeOfDataMapOfShapePD.hxx